<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN"><html><head><title>Postfix and Mailman deliver enhanced e-mail security and performance</title>

<meta name="description" content="Postfix and Mailman deliver enhanced e-mail security and performance">
<meta name="keywords" content="Postfix, Mailman, Sendmail, Majordomo, mailing list manager, email tools, mail transfer agent, MTA, mail user agent, MUA">
<meta name="author" content="Cameron Laird and Kathryn Soraiz">
<meta name="date" content="1999-03-01">
<meta name="live" content="yes">
</head>


<body bgcolor="#ffffff" text="#000000" link="#0000ff" alink="#ff0000" vlink="#551a8b">


<table border="0" cellpadding="2" cellspacing="0" width="100%" bgcolor="#003399">
<tbody><tr>
<td align="center">

<table cellpadding="8" cellspacing="0" border="0">
<tbody><tr>
<td>
<font color="#cccccc" size="-1">Advertisement: Support SunWorld, click here!</font><br>
<a href="http://ad.doubleclick.net/jump/idg.sw.com/archives;sz=468x60"><img src="http://ad.doubleclick.net/jump/idg.sw.com/archives;sz=468x60" vspace="5" border="0" height="60" width="468"></a>
<br clear="all">
</td>
</tr>
</tbody></table>
</td>
</tr>
<tr>
<td align="center">

<table border="0" cellpadding="5" width="100%" cellspacing="0">
<tbody><tr>

<td align="center" valign="top" bgcolor="#ffffff">
<a href="http://sunworld.com/index.html"><img src="sunworld-199903_files/swlogo-35.gif" width="154" height="35" border="0"></a>
<br>
<font size="-1" face="Arial,Helvetica,Sans-serif">
March 1999
</font><p>

<table width="125" cellspacing="0" cellpadding="2" border="0">

<tbody><tr>
<td align="center"><a href="http://sunworld.com/sunworldonline/home.html"><img src="sunworld-199903_files/sw-house.gif" width="14" height="14" align="bottom" border="0"></a></td>
<td>
<font face="Arial,Helvetica,Sans-serif">
<a href="http://sunworld.com/sunworldonline/home.html">Home</a>
</font>
</td>
</tr>
<tr>
<td align="center"><a href="http://sunworld.com/sunworldonline/cgi-bin/swol-mailToFriend.cgi?head=Postfix%20and%20Mailman%20deliver%20enhanced%20e-mail%20security%20and%20performance&amp;author=Cameron%20Laird%20and%20Kathryn%20Soraiz&amp;summary=Good%20news%20--%20there%20are%20better%20ways%20to%20do%20e-mail.%20%20Cameron%20and%20Kathryn%20introduce%20two%20new%20open%20source%20mail%20products%20called%20Postfix%20and%20Mailman%20and%20explain%20how%20you%20can%20begin%20to%20use%20them%20in%20your%20own%20work.%20%20Find%20out%20what%20you%20need%20to%20get%20started%20with%20these%20interesting%20and%20rewarding%20technologies.%20%3CEM%3E%282%2C500%20words%29%3C%2FEM%3E%0A"><img src="sunworld-199903_files/sw-envelope.gif" width="14" height="9" border="0"></a></td>
<td>
<font face="Arial,Helvetica,Sans-serif">
<a href="http://sunworld.com/sunworldonline/cgi-bin/swol-mailToFriend.cgi?head=Postfix%20and%20Mailman%20deliver%20enhanced%20e-mail%20security%20and%20performance&amp;author=Cameron%20Laird%20and%20Kathryn%20Soraiz&amp;summary=Good%20news%20--%20there%20are%20better%20ways%20to%20do%20e-mail.%20%20Cameron%20and%20Kathryn%20introduce%20two%20new%20open%20source%20mail%20products%20called%20Postfix%20and%20Mailman%20and%20explain%20how%20you%20can%20begin%20to%20use%20them%20in%20your%20own%20work.%20%20Find%20out%20what%20you%20need%20to%20get%20started%20with%20these%20interesting%20and%20rewarding%20technologies.%20%3CEM%3E%282%2C500%20words%29%3C%2FEM%3E%0A">Mail this Article</a>
</font>
</td>
</tr>

</tbody></table>

</p></td>

<td valign="top" bgcolor="#ffffff">
<font face="Arial,Helvetica,Sans-serif">
</font><form action="http://search.itworld.com:8765/query.html" method="get" name="seek"></form>
<font face="Arial,Helvetica,Sans-serif"><strong>Search</strong>
<table border="0" cellpadding="0">
<tbody><tr>
<td>
<input type="hidden" name="col" size="0" value="sw"> 
<!-- This is the text box for search terms -->
<!--See above--> 
<input type="text" name="qt" size="10" maxlength="2047">
</td>
<td> <input type="image" src="sunworld-199903_files/go.gif" width="27" height="22" align="bottom" border="0"></td>
</tr>
</tbody></table>
<a href="http://sunworld.com/sunworldonline/common/swol-siteindex.html">Topical Index</a><br>
<a href="http://sunworld.com/common/swol-backissues.html">Backissues</a><br>
<a href="http://sunworld.com/sunworldonline/sunwhere.html">SunWHERE</a>

</font>
</td>

<td valign="top" bgcolor="#ffffff">
<font face="Arial,Helvetica,Sans-serif">
<a href="http://sunworld.com/sunworldonline/subscribe.html">Subscribe, It's Free</a><br>
<a href="http://sunworld.com/sunworldonline/letters.html">Letters to the Editor</a><br>
<a href="http://sunworld.com/sunworldonline/common/swol-calendar.html">Events Calendar</a><br>
<a href="http://www.techdispatch.com">TechDispatch Newsletters</a>
</font>
</td>

<td valign="top" bgcolor="#ffffff">
<font face="Arial,Helvetica,Sans-serif">
<strong>Technical FAQs</strong><br>
<a href="http://sunworld.com/sunworldonline/common/security-faq.html">Solaris Security</a><br>
<a href="http://sunworld.com/sunworldonline/swol-08-1998/swol-08-security.html">Secure Programming</a><br>
<a href="http://sunworld.com/sunworldonline/common/cockcroft.letters.html">Performance Q&amp;A</a><br>
<a href="http://sunworld.com/sunworldonline/swol-01-1998/swol-01-perf.html">SE Toolkit</a>
</font>
</td>

</tr>
</tbody></table>

</td>
</tr>
</tbody></table>

<br>


<h1 align="center">
Postfix and Mailman deliver enhanced e-mail security and performance
</h1>

<h3 align="center">
Learn how these new open source products can improve the way you manage mail
</h3>

<blockquote>
<strong>Summary</strong><br> Good news -- there are better ways to do e-mail.
 Cameron and Kathryn introduce two new open source mail products called Postfix
and Mailman and explain how you can begin to use them in your own work. 
Find out what you need to get started with these interesting and rewarding
technologies. <em>(2,500 words)</em>

</blockquote>

<strong>By Cameron Laird and Kathryn Soraiz</strong>

<p>
</p><hr noshade="">
<p>
<!-- begin body text -->

<img width="40" height="29" align="left" src="sunworld-199903_files/W.gif" alt="W">hile e-mail is the most mature and most widely diffused Internet
application, it hasn't stopped growing.  The last year alone has
seen several exciting developments and announcements, even in the
oldest and least "sexy" domains:  mail transfer agents and mailing
list managers.
</p><p>
Keep in mind the fundamental architecture of e-mail processing:  At
your desktop, you compose a message.  You use a mail user agent
(MUA) as the user interface to pass your message, along with such
other information as the address for which it's intended, to an
e-mail server.  A mail transfer agent (MTA) on the server takes
responsibility for figuring out how best to deliver your message (Is
it local -- should it go through my LAN?  Is it external?  What
server on the other end will receive it?).  Generally, it
communicates with another MTA on the server used by your intended
recipient.  Once the message has been received by that second MTA,
it's available for your recipient's MUA to access it.
</p><p>
</p><p>
<font size="+1"><strong>The MTA market</strong></font><br>
Sendmail dominates the MTA market, as it has for the last 20 years.  
About two-thirds of all e-mail servers rely on this
open source product.  Sendmail is far more reliable, flexible,
and portable than most of the commercial products that attempt
to compete with it, and the recent launch of the for-profit
Sendmail Inc. seems to have only enhanced the vigor of this
venerable no-cost creation.
</p><p>
Sendmail isn't perfect, though.  It's bulky, difficult, and
has a history of security problems.  More precisely, it's in
just the shape you'd expect of a product originally built for
a much different computing environment, and it's been patched and
rewritten during several computing generations.  Still, the Sendmail
development team has achieved quite a feat in bringing it
forward from the far more relaxed security traditions of two
decades ago.
</p><p>
Wietse Venema has an alternative, though.  Venema, a security
expert on the IBM Research staff, started fresh, and has
produced Postfix, a drop-in replacement for Sendmail which promises
to deliver e-mail more quickly, conveniently, and safely.
</p><p>
Postfix isn't Sendmail's only challenger.  Zmailer, Smail,
qmail, Post.Office, exim, the Sun Internet Mail Server
(SIMS), MMDF, CommuniGate, PMDF, Netscape Messaging Server,
and a variety of other products offer specific benefits for
Unix-hosted e-mail service.  Postfix is the newest of these,
however, and worth a look.
</p><p>
</p><p>
<font size="+1"><strong>Postfix's heritage</strong></font><br>
Venema has a track record in secure computing.  He says his "claim
to fame is largely based on the low incidence of error" in the
systems he's written, including Security Administrator Tool for
Analyzing Networks (SATAN) and TCP Wrapper.  In designing and
implementing Postfix (which began life as VMailer and Secure Mailer;
don't be confused by the name changes), Venema's goal was for it "to
be fast, easy to administer, and hopefully secure, while at the same
time being Sendmail-compatible enough to not upset your users."
</p><p>
<table align="right" cellpadding="5" border="0"><tbody><tr><td>
<center>
<img vspace="3" width="182" height="281" src="sunworld-199903_files/wietse-m64.jpg">
<br><font size="-1"><strong>
Wietse Venema
</strong></font></center>
</td></tr></tbody></table>
</p><p>
He's made enough progress toward that goal that IBM has agreed to
release Postfix as an open source product under an IBM license in
the spirit of Perl's Artistic License.  (Caution:  While IBM
supports Venema, its marketing department occasionally garbles the
message.  Don't be alarmed if you run into a Web page that suggests
you must pay for Postfix, or that its use is otherwise
restricted.  While IBM is arguably the big company that best
understands the open source story, it's still learning.  The first
official IBM Web pages about Postfix were confusing.)
</p><p>
Venema labels the current Postfix a "beta."  To him this means
"something close to perfection... It has nothing to do with software
quality."  He's quite confident in the quality of Postfix.  For him,
beta releases amount to an experiment to determine users' needs.
</p><p>
Sendmail is a famous monolith:  it's one big program that does
everything.  Postfix is more Unix-like in that it consists of a
number of little programs, each of which is easy to understand and
validate, including postlock, postalias, postlog, postmap, and
others.  This is part of the answer to Sendmail's notorious
vulnerability.  Because Sendmail does so much, it effectively needs
superuser privileges and is correspondingly easy to subvert.  Each
of Postfix's parts has a limited role, so even if it's faulty and
behaves in an unplanned way, it's unlikely to have enough security
permissions to do any serious damage.
</p><p>
</p><p>
<font size="+1"><strong>Becoming a Postfix administrator</strong></font><br>
Trying out Postfix for yourself is only a small commitment.  A
compressed source code bundle (cryptographically authenticated, of
course) is well under a megabyte. Once fully expanded, unpacked, and
generated, a complete build tree, including all object files and
binaries, fills from 30 to 50 megabytes, depending on the target
operating system.  It's utterly straightforward to build a complete
installation kit on every common Unix platform:  the
<code>make</code> takes less than 10 minutes to run, even on poky
hardware.  The INSTALL directions included thoroughly explain how to
do one of the following:
</p><p>
</p><ul>
<li>Send mail only, without changing an existing Sendmail installation
</li><li>Send and receive mail via a virtual host interface, still without any change to an existing Sendmail installation
</li><li>Replace Sendmail altogether
</li></ul>
<p>
You might choose the first of these if your primary motivation is to
improve the performance of bulk mailing.  This gives you a way to
experiment and quantify the speed-up, while leaving everything
you've already configured to handle incoming e-mail in place and
unaltered.
</p><p>
Postfix seems to be less scary to manage than Sendmail.  Customizing
or even configuring Sendmail always feels like <em>a big deal</em>;
on the other hand, Postfix is quite a bit easier to experiment with
because you can test just one thing at a time.  Venema, for example,
recently added a "debugging" feature suggested by Bennett Todd, a
Unix systems and security analyst working on Wall Street:  a
"soft_bounce" selection to ensure that, even in the case of
misconfiguration, messages are not erroneously returned to their
senders.
</p><p>
Our speed tests were equivocal: While Postfix consistently was zippier
for us, the results were so sensitive to configuration that anyone
with serious performance requirements will need and want to run his
or her own tests.  For the light loads the majority of hosts
typically experience, performance enhancements can be
invisible.  With very high traffic levels, though, whether inbound
or outbound, Postfix (and such alternatives as qmail and
Post.Office) handles a multiple of Sendmail's limits.
</p><p>
Both Sendmail's and Postfix's current releases run about 50,000 lines of
source code.  Postfix has six times as many source files and they
average, of course, only about a sixth the size of Sendmail
sources.  That's the sort of thing that contributes to Postfix's
approachability.  It's much easier to localize changes, problems,
and opportunities in Postfix's sources.
</p><p>
<!-- break -->
</p><p>
</p><p>
<font size="+1"><strong>Choosing an MTA</strong></font><br>
Should you stay with Sendmail?  Try Postfix?  Test-drive a
commercial alternative?  Here are the main elements we consider when
deciding between these possibilities:
</p><p>
Sendmail has it all.  If you need features, Sendmail is likely to be
the place they first appear and are exercised the most.  Sendmail
has at least an order of magnitude more source-code hackers than any
of the other MTAs.  Most Unix boxes ship with Sendmail.  Sendmail's
the easy choice for most system administrators.
</p><p>
If you're using Sendmail, though, you have a professional
responsibility to update it to a current release.  The security
hazards of running an older version (some major Unix vendors still
ship Sendmail 5.65!) are simply unacceptable.
</p><p>
It takes less than an hour to do a basic installation of Postfix.
If you inherit a complicated and undocumented Sendmail.cf
configuration, you might be tweaking your Postfix tables for a
while; Postfix does <em>not</em> support Sendmail.cf.  Postfix's
address-rewriting tables are easy enough to use, though, so that
even starting from scratch shouldn't take you all day.  What you
have after such an investment is a far safer MTA that will probably
perform much better.
</p><p>
Anyone considering Postfix should also know about qmail -- a
more mature open source project that occupies almost exactly the
same niche as Postfix.  Its security and performance are very good,
and it's had a couple more years to ripen than Postfix.  It has
about the same set of features as Postfix, plus a clever built-in
"aliasing" scheme that simplifies mailing list management.
Postfix's configuration files are fewer and perhaps more readable
than qmail's; choosing between their approaches seems to be a matter
of personal taste.  Venema and qmail's inventor, Daniel J.
Bernstein, have such strong personalities that some users decide
between their products based on compatibility with their authors.
Also, note that the qmail license is an unusual one.  While
Bernstein has liberalized it again recently, it generally has been
more restrictive than the licenses for many other open source
products in that it restricts developers from modifying the core of
qmail or distributing binary images.  This has been a predictably
contentious topic throughout qmail's history.  On one side,
Bernstein doesn't want people to degrade qmail's security, even if
inadvertently, and give his product a bad name.  But then proponents
of license liberalization argue that the license is a practical
inconvenience that decreases the usefulness of qmail.
</p><p>
You're probably running Sendmail now, and all you need to do is pick
up the latest release for its tighter security and antispamming
features.  But do tens of thousands of people look to you when they
have e-mail problems?  Is your domain a prominent one that might
attract crackers?  Has your uptime been floating higher?  In such
cases, it's time you at least begin to experiment with Postfix (or
qmail, or one of the higher-end commercial products), which will
give you superior performance and security to Sendmail with all the
reliability that the latter has gained during two decades of
refinement.
</p><p>
Finally, if you select or are leaning toward Postfix, strongly
consider subscribing to the postfix-announce, postfix-users, and/or
postfix-testers mailing lists.  The latter, in particular, is where
the design of new features is properly discussed.  The Postfix home
pages supplies more information about these mailing lists.
</p><p>
</p><p>
<font size="+1"><strong>The Mailman arrives</strong></font><br>
Another open source product released to beta just this winter
is Mailman, the GNU Mailing List Manager.
</p><p>
<table align="left" cellpadding="5" border="0"><tbody><tr><td>
<center>
<img vspace="3" width="388" height="228" src="sunworld-199903_files/mailman.gif">
<br><font size="-1"><strong>
</strong></font></center>
</td></tr></tbody></table>
</p><p>
The market for mailing list management systems (MLMSs) is
reminiscent of that for MTAs:  While a plethora of products is
available, Majordomo is freely available and has led the pack in
popularity for many years.  But also like Sendmail, Majordomo now
seems clumsy and difficult to manage.
</p><p>
Mailman has been designed for a Webified world.  All actions --
subscription requests, list administration, management reports --
can be performed either through a Web interface or more traditional
textual commands.  Moreover, Mailman integrates archiving, digests,
Usenet gateways, spam protection, and bulk mailing. Improved
customization and filtering are planned after the first official
release.
</p><p>
One reassuring aspect of Postfix and Mailman is that their creators
use them.  Venema has depended on Postfix as the only MTA on his own
node for over a year, while Ken Manheimer, John Viega, Scott Cotton,
and Barry Warsaw developed Mailman largely as an extension of their
own needs for more convenient and higher performing mailing list
management than other products afford.  Among other
responsibilities, Mailman keeps the mailing lists of all python.org
activities, including the Python Special Interest Groups (Python
SIGs), straight.
</p><p>
</p><p>
<font size="+1"><strong>Performance primary</strong></font><br>
Warsaw, a system engineer at the Corporation for National Research
Initiatives, told us, "Performance was primary.  We used Majordomo
before, and when a lot of messages came through, they just bogged
the machine down.  We're really happy with how Mailman's working
out."  The migration from Majordomo has been easy:  "It took five
minutes to convert three mailing lists, purely through the Web
interface."
</p><p>
According to Warsaw, Mailman is coded in approximately 13,000 lines 
of Python code, along with 600 lines of C which
wrap security facilities.  Mailman exposes Python as an extension
language that allows for customization of Mailman's interfaces.
</p><p>
Mailman further resembles Postfix in having a robust and swift
generation.  Warning:  As a practical matter, you'll need root
access on your host to configure Mailman properly.  Most open source
products can be generated and initially tested by ordinary Unix
users.  Some organizations have a policy that requires this.  With
Mailman, though, you'll at least need to create a new account and
group (the default for both is "mailman") for Mailman's use.
</p><p>
The distributions for both Postfix and Mailman have clearly written
README files that point to details on licensing, installation
procedures, and known problems.  Be careful.  Sometimes the
documentation lags the application.  There have been a few cases
where a fix appeared in a release, but the documentation didn't
catch up until later.  In the worst case, this means that something
works, but you can only scrutinize further by reading source or
experimenting with the installation in getting Mailman to work
in other environments.
</p><p>
Warsaw needs only a few words to explain his judgment of Mailman's
progress:  "I'm biased, but I really see no reason to use Majordomo
now.  Mailman's performance is that much better, it has more
features, and it's just as reliable."  He's working on making the
conversion from one to the other just as simple.  While migrating a
Majordomo mailing list into Mailman is straightforward now, Warsaw
intends to document and further automate it after the 1.0 release.
</p><p>
The final milestone before the Free Software Foundation releases
Mailman as an official product is resolution of a couple of faults
reported on Linux file systems that Mailman's core development team
haven't yet reproduced.
</p><p>
</p><p>
<font size="+1"><strong>Summary</strong></font><br>
The software you're already using to handle your e-mail
requirements probably works reliably.  However, the scale of
your operations is likely growing, while security threats
become more difficult, and your users' demands for convenience
expand.  It might be time for you to move to a new technology --
one better suited to modern needs.  Several of the best e-mail
products are open source.  In particular, you can easily
install Postfix and Mailman, and test their performance in
realistic settings.  Postfix and Mailman already have healthy
user communities.  You can have confidence that Postfix and
Mailman will be fresh and well-supported for years to come.

<img height="8" width="8" src="sunworld-199903_files/dingbat.gif">
<!-- end body text -->

<a name="endnote">
</a></p><p>
<a name="endnote"><em>Thanks to Bennett Todd for his candid discussions of MTAs.</em>
</a>

</p><p>
<a name="bio">
</a><table cellpadding="0" cellspacing="3" border="0">
<tbody><tr>
<td valign="top">
<!--IMG-->
</td>
<td bgcolor="#000000"><img src="sunworld-199903_files/dot_clear.gif" width="2" height="1" align="bottom" border="0"></td>
<td valign="top">
<strong>
<font size="-1" face="Arial,Helvetica,Sans-serif">
About the author
</font>
</strong><br>
<a name="author" href="http://sunworld.com/sunworldonline/cgi-bin/swol-mailto.cgi?cameron.laird@sunworld.com+/swol-03-1999/swol-03-mailtools.html+author">Cameron Laird</a> and <a name="author" href="http://web.archive.org/web/20000614102509/http://sunworld.com/sunworldonline/cgi-bin/swol-mailto.cgi?kathryn.soraiz@sunworld.com+/swol-03-1999/swol-03-mailtools.html+author">Kathryn Soraiz</a> manage their own software consultancy, Network Engineered Solutions, from just outside Houston, TX. They write <em>SunWorld's</em> bi-weekly <strong><a href="http://web.archive.org/web/20000614102509/http://www.sunworld.com/sunworldonline/common/swol-backissues-columns.html#regex">Regular Expressions</a></strong> column.

</td>
</tr>
</tbody></table>

</p><p>
</p><div align="center">
<a name="bio"><font face="Arial,Helvetica,Sans-serif">

</font></a><font face="Arial,Helvetica,Sans-serif"><a href="http://sunworld.com/home.html">Home</a> |
<a href="http://sunworld.com/sunworldonline/cgi-bin/swol-mailToFriend.cgi?head=Postfix%20and%20Mailman%20deliver%20enhanced%20e-mail%20security%20and%20performance&amp;author=Cameron%20Laird%20and%20Kathryn%20Soraiz&amp;summary=Good%20news%20--%20there%20are%20better%20ways%20to%20do%20e-mail.%20%20Cameron%20and%20Kathryn%20introduce%20two%20new%20open%20source%20mail%20products%20called%20Postfix%20and%20Mailman%20and%20explain%20how%20you%20can%20begin%20to%20use%20them%20in%20your%20own%20work.%20%20Find%20out%20what%20you%20need%20to%20get%20started%20with%20these%20interesting%20and%20rewarding%20technologies.%20%3CEM%3E%282%2C500%20words%29%3C%2FEM%3E%0A">Mail this Story</a> |

<a href="http://sunworld.com/sunworldonline/swol-03-1999/swol-03-mailtools_p.html#mini-ditka">Comment on this Story</a> |
<a href="http://sunworld.com/sunworldonline/swol-03-1999/swol-03-mailtools_p.html#resources">Resources and Related Links</a>
</font>
</div>

<p>
</p><div align="center">
<form method="post" action="/sunworldonline/cgi-bin/swol-nav.cgi">
<select name="jump_list"><option value="http://www.sunworld.com/sunworldonline/index.html">
Also this month in SunWorld
</option><option value="http://www.sunworld.com/sunworldonline/index.html"> 
Features:
 </option><option value="http://www.sunworld.com/swol-03-1999/swol-03-change.html"> - How to manage and implement change in your Unix environment
 </option><option value="http://www.sunworld.com/swol-03-1999/swol-03-fibre-scsi.html"> - Fibre Channel vs. SCSI: Which is more advantageous for your Storage Area Network?
 </option><option value="http://www.sunworld.com/swol-03-1999/swol-03-mailtools.html"> - Postfix and Mailman deliver enhanced e-mail security and performance  

</option><option value="http://www.sunworld.com/sunworldonline/index.html">
News &amp; Views:
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-silicon.html"> - Silicon Carny: A lazy afternoon
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-bookshelf.html"> - Man evolves to machine
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-sco.html"> - SCO grasping at the Linux straw?
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-jini.html"> - Anything to everything
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-itarchitect.html"> - The physical data architecture
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-newsbriefs.html"> - New Product Briefs (March 1, 1999)
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-career.html"> - 
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-csl.html"> - Sun extends Community Source Licensing to chip architectures 
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-sunspots.html"> - The latest tidbits on Sun deals and product news
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-if.html"> - The network is the story: News on the latest Internet standards and struggles
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-letters.html"> - 
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-eyeoncomp.html"> - Up-to-the-minute news on Sun's rivals
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-regex.html"> - Regular Expressions: Dylan's appeal
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-linuxworld.html"> - LinuxWorld: IBM fills out Linux offerings
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-newsbriefs2.html"> - New Product Briefs (March 1, 1999)
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-msft.html"> - Microsoft touts E-commerce strategy 
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-linuxworld2.html"> - News from LinuxWorld Expo
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-linuxworld2.html"> - Highlights from LinuxWorld Expo
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-ossummit.html"> - Open source software braces for another big year 
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-sunlinux2.html"> - Sun licenses Java Media APIs to Linux developers
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-sunlinux.html"> - Sun licenses Java Media APIs to Linux developers
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-netdynamics.html"> - Sun unveils new application server strategy
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-gates.html"> - Gates predicts NT's high-end success next year 
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-newsbriefs.html"> - New Product Briefs (March 1, 1999)
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-java-japan.html"> - Sun, NTT DoCoMo team on Java, Jini
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-java.html"> - Sun keeps its foot in Java's door
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-xeon.html"> - Intel unveils Pentium III Xeon
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-unixware.html"> - SCO dresses up UnixWare for the data center
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-linuxcebit.html"> - CEBIT: Linux Alley Is crowded, but lacks apps 
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-server.html"> - IDC: Worldwide server revenues down in Q4/98, volume up
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-aol.html"> - Sun, AOL form e-commerce "virtual company"
</option><option value="http://www.sunworld.com/swol-03-1999/swol-03-aol2.html"> - AOL reorganizes to fold in Netscape 

</option><option value="http://www.sunworld.com/sunworldonline/index.html">
Tech Expertise:
 </option><option value="http://www.sunworld.com/swol-03-1999/swol-03-insidesolaris.html"> - The Solaris process model: Part 7
 </option><option value="http://www.sunworld.com/swol-03-1999/swol-03-security.html"> - Do you have an Incident Response Procedure in place?
 </option><option value="http://www.sunworld.com/swol-03-1999/swol-03-connectivity.html"> - Building a reliable NT server, part 3
 </option><option value="http://www.sunworld.com/swol-03-1999/swol-03-perf.html"> - Sun's new compilers and tools
 </option><option value="http://www.sunworld.com/swol-03-1999/swol-03-unix101.html"> - Using bc, the programmable calculator, Part 1
 </option><option value="http://www.sunworld.com/swol-03-1999/swol-03-supersys.html"> - A patch-work column, Part 2

</option></select>
<input type="submit" value="Go">
</form>
</div>

<div align="center">
<p>
<table cellpadding="5" cellspacing="0" border="0">
<tbody><tr>
<td>
<font color="#333333" size="-1">Advertisement: Support SunWorld, click here!</font><br>
<a href="http://ad.doubleclick.net/jump/idg.sw.com/archives;sz=468x60"><img src="http://ad.doubleclick.net/jump/idg.sw.com/archives;sz=468x60" vspace="5" border="0" height="60" width="468"></a>
<br clear="all">
</td>
</tr>
</tbody></table>
</p></div>

<a name="resources">
</a><p>
<table border="0" width="100%" cellpadding="0" cellspacing="0">
<tbody><tr>
<td valign="top" bgcolor="#003399"><img src="sunworld-199903_files/blue-left.gif" width="9" height="9" align="bottom" border="0"></td>
<td colspan="2" bgcolor="#003399"><font color="#ffffff" face="Arial,Helvetica,Sans-serif"><strong>Resources and Related Links</strong></font></td>
</tr>
<tr>
<td> </td>
<td>
<ul>
<a name="resourcex"><li>Sendmail Consortium
<br></li></a><a href="http://www.sendmail.org/">http://www.sendmail.org/</a><li>Sendmail Inc.
<br><a href="http://www.sendmail.com/">http://www.sendmail.com/</a></li><li>The Postfix home page
<br><a href="http://www.postfix.org/">http://www.postfix.org/</a></li><li>MTA survey
<br><a href="ftp://koobera.math.uic.edu/www/surveys/smtpsoftware3.txt">ftp://koobera.math.uic.edu/www/surveys/smtpsoftware3.txt</a></li><li>"The original 'killer app'" (a <em>LinuxWorld-Tapping the Source</em>  feature on qmail)
<br><a href="http://www.linuxworld.com/linuxworld/expo/lw-email.html">http://www.linuxworld.com/linuxworld/expo/lw-email.html</a></li><li>The Open Source page
<br><a href="http://www.opensource.org">http://www.opensource.org</a></li><li>Mailman home page
<br><a href="http://www.list.org/">http://www.list.org/</a></li><li>The GNU Project and the Free Software Foundation
<br><a href="http://www.gnu.org">http://www.gnu.org</a></li><li>Wietse Venema's tools
<br><a href="ftp://ftp.porcupine.org/pub/security/index.html">ftp://ftp.porcupine.org/pub/security/index.html</a></li><li>"Report from SANS '98: Why Wietse Venema says Sendmail can never be made secure" July 1998 <strong>Security</strong> column in <em>SunWorld</em>
<br><a href="http://www.sunworld.com/swol-07-1998/swol-07-security.html">http://www.sunworld.com/swol-07-1998/swol-07-security.html</a></li><li>Majordomo FAQ
<br><a href="http://www.greatcircle.com/majordomo/FAQ.html">http://www.greatcircle.com/majordomo/FAQ.html</a></li><li>Cameron Laird's personal notes on Python
<br><a href="http://starbase.neosoft.com/%7Eclaird/comp.lang.python/python.html">http://starbase.neosoft.com/~claird/comp.lang.python/python.html</a></li></ul><strong>Other SunWorld resources</strong><ul><li>The <em>SunWorld</em> Topical Index -- a comprehensive listing of all <em>SunWorld</em> articles by subject
<br><a href="http://www.sunworld.com/common/swol-siteindex.html">http://www.sunworld.com/common/swol-siteindex.html</a></li><li>sunWHERE -- launchpad to hundreds of online resources for Sun users
<br><a href="http://www.sunworld.com/sunwhere.html">http://www.sunworld.com/sunwhere.html</a></li><li>Back issues of <em>SunWorld</em>
<br><a href="http://www.sunworld.com/common/swol-backissues.html">http://www.sunworld.com/common/swol-backissues.html</a></li><li>IDG.net, your one-stop IT resource
<br><a href="http://www.idg.net">http://www.idg.net</a>
</li></ul>
</td><td> </td>
</tr>
</tbody></table>

<a name="mini-ditka">
<br>
</a><table border="0" width="100%" cellpadding="0" cellspacing="0">
<tbody><tr>
<td valign="top" bgcolor="#003399"><img src="sunworld-199903_files/blue-left.gif" width="9" height="9" align="bottom" border="0"></td>
<td colspan="2" bgcolor="#003399">
<font color="#ffffff" face="Arial,Helvetica,Sans-serif"><strong>Tell Us What You Thought of This Story</strong></font>
</td>
</tr>
<tr>
<td> </td>
<td>
<br>
<form method="post" action="/sunworldonline/cgi-bin/swol-mini-survey.cgi?1999-swol-03-mailtools.html">

<table width="100%" align="center" cellpadding="0" border="0">
<tbody><tr><td align="left" valign="top" rowspan="1" colspan="1">

<input type="radio" name="worth" value="3">-Very worth reading<br>
<input type="radio" name="worth" value="2">-Worth reading<br>
<input type="radio" name="worth" value="1">-Not worth reading<br>

</td><td align="left" valign="top" rowspan="1" colspan="1">

<input type="radio" name="length" value="3">-Too long<br>
<input type="radio" name="length" value="2">-Just right<br>
<input type="radio" name="length" value="1">-Too short<br>

</td><td align="left" valign="top" rowspan="1" colspan="1">

<input type="radio" name="tech" value="3">-Too technical<br>
<input type="radio" name="tech" value="2">-Just right<br>
<input type="radio" name="tech" value="1">-Not technical enough<br>

</td></tr></tbody></table>

<table cellpadding="0" border="0">
<tbody><tr>
<td align="left" valign="top" rowspan="1" colspan="1">
<textarea name="comments" cols="40" rows="3" wrap="VIRTUAL">Comments:
</textarea>
</td>
<td> </td>

</tr><tr>
<td align="left" valign="top" rowspan="1" colspan="1">
<textarea name="comments" cols="30" rows="1" wrap="VIRTUAL">Name:
</textarea>
</td>
<td> </td>
</tr> 

<tr>
<td align="left" valign="top" rowspan="1" colspan="1">
<textarea name="comments" cols="30" rows="1" wrap="VIRTUAL">Email:
</textarea>
</td>
<td> </td>
</tr> 

<tr>
<td align="left" valign="top" rowspan="1" colspan="1">
<textarea name="comments" cols="30" rows="1" wrap="VIRTUAL">Company Name:
</textarea>
    
</td>

<td align="left" valign="bottom">
<input type="submit" value="Send data">
</td>
</tr>
</tbody></table>

</form>
</td><td> </td>
</tr>
</tbody></table>


</p><p>
</p><div align="center">
<a href="http://sunworld.com/sunworldonline/common/swol-copyright.html"><img border="0" width="400" height="22" src="sunworld-199903_files/b-copyright99.gif" alt="(c) Copyright 1999 Web Publishing Inc., and IDG Communication company"></a>
</div>
<p>
If you have technical problems with this magazine, contact 
<a name="webmaster" href="http://sunworld.com/sunworldonline/cgi-bin/swol-mailto.cgi?webmaster@sunworld.com+/swol-03-1999/swol-03-mailtools.html+webmaster">webmaster@sunworld.com</a>
</p><p>
<strong>URL</strong>: http://www.sunworld.com/swol-03-1999/swol-03-mailtools.html
<br>
<strong>Last modified:</strong> Thursday, March 30, 2000
</p></body></html>
